<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>eicd: eic::ClusterData Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eicd
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceeic.html">eic</a></li><li class="navelem"><a class="el" href="classeic_1_1_cluster_data.html">ClusterData</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="classeic_1_1_cluster_data-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">eic::ClusterData Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="_cluster_data_8h_source.html">ClusterData.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:addc4c3a99fde593040f699d6ea583d62"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_cluster_data.html#addc4c3a99fde593040f699d6ea583d62">energy</a></td></tr>
<tr class="memdesc:addc4c3a99fde593040f699d6ea583d62"><td class="mdescLeft">&#160;</td><td class="mdescRight">Energy of the cluster.  <a href="#addc4c3a99fde593040f699d6ea583d62">More...</a><br /></td></tr>
<tr class="separator:addc4c3a99fde593040f699d6ea583d62"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8bc333749f874dd923659dfeb9688fa4"><td class="memItemLeft" align="right" valign="top">std::array&lt; float, 3 &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_cluster_data.html#a8bc333749f874dd923659dfeb9688fa4">position</a></td></tr>
<tr class="memdesc:a8bc333749f874dd923659dfeb9688fa4"><td class="mdescLeft">&#160;</td><td class="mdescRight">Position of the cluster.  <a href="#a8bc333749f874dd923659dfeb9688fa4">More...</a><br /></td></tr>
<tr class="separator:a8bc333749f874dd923659dfeb9688fa4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7663b81d02b0413718bd441d078ba03a"><td class="memItemLeft" align="right" valign="top">std::array&lt; float, 6 &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_cluster_data.html#a7663b81d02b0413718bd441d078ba03a">positionError</a></td></tr>
<tr class="memdesc:a7663b81d02b0413718bd441d078ba03a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Covariance matrix of the position (6 Parameters)  <a href="#a7663b81d02b0413718bd441d078ba03a">More...</a><br /></td></tr>
<tr class="separator:a7663b81d02b0413718bd441d078ba03a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a57cafd5ffd0789d57d5952109c63d134"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_cluster_data.html#a57cafd5ffd0789d57d5952109c63d134">theta</a></td></tr>
<tr class="memdesc:a57cafd5ffd0789d57d5952109c63d134"><td class="mdescLeft">&#160;</td><td class="mdescRight">Intrinsic direction of cluster at position - Theta.  <a href="#a57cafd5ffd0789d57d5952109c63d134">More...</a><br /></td></tr>
<tr class="separator:a57cafd5ffd0789d57d5952109c63d134"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab62ae69ad6fec6b43e838039acbae3e6"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_cluster_data.html#ab62ae69ad6fec6b43e838039acbae3e6">phi</a></td></tr>
<tr class="memdesc:ab62ae69ad6fec6b43e838039acbae3e6"><td class="mdescLeft">&#160;</td><td class="mdescRight">Intrinsic direction of cluster at position - Phi.  <a href="#ab62ae69ad6fec6b43e838039acbae3e6">More...</a><br /></td></tr>
<tr class="separator:ab62ae69ad6fec6b43e838039acbae3e6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae94839ec523383760de895822e17bf4c"><td class="memItemLeft" align="right" valign="top">std::array&lt; float, 3 &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_cluster_data.html#ae94839ec523383760de895822e17bf4c">directionError</a></td></tr>
<tr class="memdesc:ae94839ec523383760de895822e17bf4c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Covariance matrix of the direction (3 Parameters)  <a href="#ae94839ec523383760de895822e17bf4c">More...</a><br /></td></tr>
<tr class="separator:ae94839ec523383760de895822e17bf4c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a91805d7178017473d44cc8b4cee6c064"><td class="memItemLeft" align="right" valign="top">unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_cluster_data.html#a91805d7178017473d44cc8b4cee6c064">clusters_begin</a></td></tr>
<tr class="separator:a91805d7178017473d44cc8b4cee6c064"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a262e9f94006e1a8b9496180d6232286e"><td class="memItemLeft" align="right" valign="top">unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_cluster_data.html#a262e9f94006e1a8b9496180d6232286e">clusters_end</a></td></tr>
<tr class="separator:a262e9f94006e1a8b9496180d6232286e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a983c8dcfc28d5826e73c4d59f5532893"><td class="memItemLeft" align="right" valign="top">unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_cluster_data.html#a983c8dcfc28d5826e73c4d59f5532893">hits_begin</a></td></tr>
<tr class="separator:a983c8dcfc28d5826e73c4d59f5532893"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac7822ae895bceec8bfeaa7837dc41264"><td class="memItemLeft" align="right" valign="top">unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_cluster_data.html#ac7822ae895bceec8bfeaa7837dc41264">hits_end</a></td></tr>
<tr class="separator:ac7822ae895bceec8bfeaa7837dc41264"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>EIC cluster </p><dl class="section author"><dt>Author</dt><dd>: F.Gaede, B. Hegner </dd></dl>

<p class="definition">Definition at line <a class="el" href="_cluster_data_8h_source.html#l00015">15</a> of file <a class="el" href="_cluster_data_8h_source.html">ClusterData.h</a>.</p>
</div><h2 class="groupheader">Member Data Documentation</h2>
<a id="a91805d7178017473d44cc8b4cee6c064"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a91805d7178017473d44cc8b4cee6c064">&#9670;&nbsp;</a></span>clusters_begin</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int eic::ClusterData::clusters_begin</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_cluster_data_8h_source.html#l00024">24</a> of file <a class="el" href="_cluster_data_8h_source.html">ClusterData.h</a>.</p>

<p class="reference">Referenced by <a class="el" href="_cluster_const_8cc_source.html#l00079">eic::ConstCluster::clusters()</a>, <a class="el" href="_cluster_8cc_source.html#l00099">eic::Cluster::clusters()</a>, <a class="el" href="_cluster_const_8cc_source.html#l00063">eic::ConstCluster::clusters_begin()</a>, <a class="el" href="_cluster_8cc_source.html#l00083">eic::Cluster::clusters_begin()</a>, <a class="el" href="_cluster_const_8cc_source.html#l00075">eic::ConstCluster::clusters_size()</a>, and <a class="el" href="_cluster_8cc_source.html#l00095">eic::Cluster::clusters_size()</a>.</p>

</div>
</div>
<a id="a262e9f94006e1a8b9496180d6232286e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a262e9f94006e1a8b9496180d6232286e">&#9670;&nbsp;</a></span>clusters_end</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int eic::ClusterData::clusters_end</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_cluster_data_8h_source.html#l00025">25</a> of file <a class="el" href="_cluster_data_8h_source.html">ClusterData.h</a>.</p>

<p class="reference">Referenced by <a class="el" href="_cluster_8cc_source.html#l00078">eic::Cluster::addclusters()</a>, <a class="el" href="_cluster_const_8cc_source.html#l00086">eic::ConstCluster::clusters()</a>, <a class="el" href="_cluster_8cc_source.html#l00106">eic::Cluster::clusters()</a>, <a class="el" href="_cluster_const_8cc_source.html#l00069">eic::ConstCluster::clusters_end()</a>, <a class="el" href="_cluster_8cc_source.html#l00089">eic::Cluster::clusters_end()</a>, <a class="el" href="_cluster_const_8cc_source.html#l00075">eic::ConstCluster::clusters_size()</a>, and <a class="el" href="_cluster_8cc_source.html#l00095">eic::Cluster::clusters_size()</a>.</p>

</div>
</div>
<a id="ae94839ec523383760de895822e17bf4c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae94839ec523383760de895822e17bf4c">&#9670;&nbsp;</a></span>directionError</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::array&lt;float, 3&gt; eic::ClusterData::directionError</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Covariance matrix of the direction (3 Parameters) </p>

<p class="definition">Definition at line <a class="el" href="_cluster_data_8h_source.html#l00022">22</a> of file <a class="el" href="_cluster_data_8h_source.html">ClusterData.h</a>.</p>

<p class="reference">Referenced by <a class="el" href="_cluster_8cc_source.html#l00020">eic::Cluster::Cluster()</a>, <a class="el" href="_cluster_const_8cc_source.html#l00020">eic::ConstCluster::ConstCluster()</a>, <a class="el" href="_cluster_const_8cc_source.html#l00058">eic::ConstCluster::directionError()</a>, and <a class="el" href="_cluster_8cc_source.html#l00060">eic::Cluster::directionError()</a>.</p>

</div>
</div>
<a id="addc4c3a99fde593040f699d6ea583d62"></a>
<h2 class="memtitle"><span class="permalink"><a href="#addc4c3a99fde593040f699d6ea583d62">&#9670;&nbsp;</a></span>energy</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">float eic::ClusterData::energy</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Energy of the cluster. </p>

<p class="definition">Definition at line <a class="el" href="_cluster_data_8h_source.html#l00017">17</a> of file <a class="el" href="_cluster_data_8h_source.html">ClusterData.h</a>.</p>

<p class="reference">Referenced by <a class="el" href="_cluster_8cc_source.html#l00020">eic::Cluster::Cluster()</a>, <a class="el" href="_cluster_const_8cc_source.html#l00020">eic::ConstCluster::ConstCluster()</a>, <a class="el" href="_cluster_const_8cc_source.html#l00051">eic::ConstCluster::energy()</a>, and <a class="el" href="_cluster_8cc_source.html#l00053">eic::Cluster::energy()</a>.</p>

</div>
</div>
<a id="a983c8dcfc28d5826e73c4d59f5532893"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a983c8dcfc28d5826e73c4d59f5532893">&#9670;&nbsp;</a></span>hits_begin</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int eic::ClusterData::hits_begin</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_cluster_data_8h_source.html#l00026">26</a> of file <a class="el" href="_cluster_data_8h_source.html">ClusterData.h</a>.</p>

<p class="reference">Referenced by <a class="el" href="_cluster_const_8cc_source.html#l00111">eic::ConstCluster::hits()</a>, <a class="el" href="_cluster_8cc_source.html#l00135">eic::Cluster::hits()</a>, <a class="el" href="_cluster_const_8cc_source.html#l00095">eic::ConstCluster::hits_begin()</a>, <a class="el" href="_cluster_8cc_source.html#l00119">eic::Cluster::hits_begin()</a>, <a class="el" href="_cluster_const_8cc_source.html#l00107">eic::ConstCluster::hits_size()</a>, and <a class="el" href="_cluster_8cc_source.html#l00131">eic::Cluster::hits_size()</a>.</p>

</div>
</div>
<a id="ac7822ae895bceec8bfeaa7837dc41264"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac7822ae895bceec8bfeaa7837dc41264">&#9670;&nbsp;</a></span>hits_end</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int eic::ClusterData::hits_end</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_cluster_data_8h_source.html#l00027">27</a> of file <a class="el" href="_cluster_data_8h_source.html">ClusterData.h</a>.</p>

<p class="reference">Referenced by <a class="el" href="_cluster_8cc_source.html#l00114">eic::Cluster::addhits()</a>, <a class="el" href="_cluster_const_8cc_source.html#l00118">eic::ConstCluster::hits()</a>, <a class="el" href="_cluster_8cc_source.html#l00142">eic::Cluster::hits()</a>, <a class="el" href="_cluster_const_8cc_source.html#l00101">eic::ConstCluster::hits_end()</a>, <a class="el" href="_cluster_8cc_source.html#l00125">eic::Cluster::hits_end()</a>, <a class="el" href="_cluster_const_8cc_source.html#l00107">eic::ConstCluster::hits_size()</a>, and <a class="el" href="_cluster_8cc_source.html#l00131">eic::Cluster::hits_size()</a>.</p>

</div>
</div>
<a id="ab62ae69ad6fec6b43e838039acbae3e6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab62ae69ad6fec6b43e838039acbae3e6">&#9670;&nbsp;</a></span>phi</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">float eic::ClusterData::phi</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Intrinsic direction of cluster at position - Phi. </p>

<p class="definition">Definition at line <a class="el" href="_cluster_data_8h_source.html#l00021">21</a> of file <a class="el" href="_cluster_data_8h_source.html">ClusterData.h</a>.</p>

<p class="reference">Referenced by <a class="el" href="_cluster_8cc_source.html#l00020">eic::Cluster::Cluster()</a>, <a class="el" href="_cluster_const_8cc_source.html#l00020">eic::ConstCluster::ConstCluster()</a>, <a class="el" href="_cluster_const_8cc_source.html#l00057">eic::ConstCluster::phi()</a>, and <a class="el" href="_cluster_8cc_source.html#l00059">eic::Cluster::phi()</a>.</p>

</div>
</div>
<a id="a8bc333749f874dd923659dfeb9688fa4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8bc333749f874dd923659dfeb9688fa4">&#9670;&nbsp;</a></span>position</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::array&lt;float, 3&gt; eic::ClusterData::position</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Position of the cluster. </p>

<p class="definition">Definition at line <a class="el" href="_cluster_data_8h_source.html#l00018">18</a> of file <a class="el" href="_cluster_data_8h_source.html">ClusterData.h</a>.</p>

<p class="reference">Referenced by <a class="el" href="_cluster_8cc_source.html#l00020">eic::Cluster::Cluster()</a>, <a class="el" href="_cluster_const_8cc_source.html#l00020">eic::ConstCluster::ConstCluster()</a>, <a class="el" href="_cluster_const_8cc_source.html#l00052">eic::ConstCluster::position()</a>, and <a class="el" href="_cluster_8cc_source.html#l00054">eic::Cluster::position()</a>.</p>

</div>
</div>
<a id="a7663b81d02b0413718bd441d078ba03a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7663b81d02b0413718bd441d078ba03a">&#9670;&nbsp;</a></span>positionError</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::array&lt;float, 6&gt; eic::ClusterData::positionError</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Covariance matrix of the position (6 Parameters) </p>

<p class="definition">Definition at line <a class="el" href="_cluster_data_8h_source.html#l00019">19</a> of file <a class="el" href="_cluster_data_8h_source.html">ClusterData.h</a>.</p>

<p class="reference">Referenced by <a class="el" href="_cluster_8cc_source.html#l00020">eic::Cluster::Cluster()</a>, <a class="el" href="_cluster_const_8cc_source.html#l00020">eic::ConstCluster::ConstCluster()</a>, <a class="el" href="_cluster_const_8cc_source.html#l00054">eic::ConstCluster::positionError()</a>, and <a class="el" href="_cluster_8cc_source.html#l00056">eic::Cluster::positionError()</a>.</p>

</div>
</div>
<a id="a57cafd5ffd0789d57d5952109c63d134"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a57cafd5ffd0789d57d5952109c63d134">&#9670;&nbsp;</a></span>theta</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">float eic::ClusterData::theta</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Intrinsic direction of cluster at position - Theta. </p>

<p class="definition">Definition at line <a class="el" href="_cluster_data_8h_source.html#l00020">20</a> of file <a class="el" href="_cluster_data_8h_source.html">ClusterData.h</a>.</p>

<p class="reference">Referenced by <a class="el" href="_cluster_8cc_source.html#l00020">eic::Cluster::Cluster()</a>, <a class="el" href="_cluster_const_8cc_source.html#l00020">eic::ConstCluster::ConstCluster()</a>, <a class="el" href="_cluster_const_8cc_source.html#l00056">eic::ConstCluster::theta()</a>, and <a class="el" href="_cluster_8cc_source.html#l00058">eic::Cluster::theta()</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>eicd/<a class="el" href="_cluster_data_8h_source.html">ClusterData.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
